%define upstream_name Class-Prototyped
%define upstream_version 1.13

%global __requires_exclude perl\\(GraphViz\\)

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 5
Summary:        Fast prototype-based OO programming in Perl
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://metacpan.org/release/%{upstream_name}
Source0:        http://www.cpan.org/authors/id/T/TE/TEVERETT/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl(Module::Build)
# Run-time:
BuildRequires:  perl(Carp)
# GraphViz not used for tests
# IO::File not used for tests
BuildRequires:  perl(strict)
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test)

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude?__provides_exclude|}^perl\\(My[^\\)]*Class\\)$

%description
This package provides for efficient and simple prototype-based programming
in Perl. You can provide different subroutines for each object, and also
have objects inherit their behavior and state from another object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Documentation and libraries should not be executable
chmod -x perf/* examples/* Changes lib/Class/*.pm lib/Class/Prototyped/*

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0



%files
%doc Changes README perf/ examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.130.0-5pclos2017
- rebuild against updates

